#if !defined(AFX_MAINSHEET_H__4EC5E147_D7B8_11D2_ACE7_00A04B070143__INCLUDED_)
#define AFX_MAINSHEET_H__4EC5E147_D7B8_11D2_ACE7_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MainSheet.h : header file
//

#include "ContentsPage.h"
#include "FindPage.h"
#include "IndexPage.h"
#include "AuthorPage.h"
#include "BookInfoPage.h"

/////////////////////////////////////////////////////////////////////////////
// CMainSheet

class CMainSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CMainSheet)

// Construction
public:
	CMainSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CMainSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CContentsPage	m_contents;
	CFindPage		m_find;
	CIndexPage		m_index;
	CAuthorPage		m_author;
	CBookInfoPage	m_info;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainSheet)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMainSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINSHEET_H__4EC5E147_D7B8_11D2_ACE7_00A04B070143__INCLUDED_)
