// HTMLTextDoc.cpp : implementation of the CHTMLTextDoc class
//

#include "stdafx.h"
#include "ITBReader.h"

#include "HTMLTextDoc.h"
//#include "HTMLParser.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHTMLTextDoc

IMPLEMENT_DYNCREATE(CHTMLTextDoc, CDocument)

BEGIN_MESSAGE_MAP(CHTMLTextDoc, CDocument)
	//{{AFX_MSG_MAP(CHTMLTextDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHTMLTextDoc construction/destruction

CHTMLTextDoc::CHTMLTextDoc()
{
}

CHTMLTextDoc::~CHTMLTextDoc()
{
}

BOOL CHTMLTextDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CHTMLTextDoc serialization

void CHTMLTextDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
	}
	else
	{
	}
}

/////////////////////////////////////////////////////////////////////////////
// CHTMLTextDoc diagnostics

#ifdef _DEBUG
void CHTMLTextDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CHTMLTextDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CHTMLTextDoc commands

bool CHTMLTextDoc::ParseHTMLText(TCHAR * pBuffer, UINT uBufferSize)
{
	/*DeleteContents();

	CHTMLParser parser;
	TOKEN token;
	CTokenInfo ti;

	if (!parser.Open(pBuffer, uBufferSize)) 
		return FALSE;
	
	ti.m_pWidths = NULL;

	while (parser.GetToken(&token) != TK_EOF) 
	{
		switch (token.id)
		{
			case TK_TEXT: 
				ti.SetText(token.p);
				m_tokens.AddTail(ti);
				ti.m_nStyle &= ~TI_NEWLINE;
				break;
			case TK_TAG_B: 
				ti.m_nStyle |= TI_BOLD; 
				break;
			case TK_ETAG_B: 
				ti.m_nStyle &= ~TI_BOLD;
				break;
			case TK_TAG_I: 
				ti.m_nStyle |= TI_ITALIC;
				break;
			case TK_ETAG_I: 
				ti.m_nStyle &= ~TI_ITALIC; 
				break;
			case TK_TAG_H1: 
				ti.m_nStyle |= TI_H1;
				ti.m_nStyle |= TI_NEWLINE;
				break;
			case TK_ETAG_H1: 
				ti.m_nStyle &= ~TI_H1;
				ti.m_nStyle |= TI_NEWLINE;
				break;
			case TK_TAG_P:
				ti.m_nStyle |= TI_NEWLINE;
				break;
			case TK_ETAG_P:
				ti.m_nStyle |= TI_NEWLINE;
				break;
			case TK_TAG_A:
				ti.m_nStyle |= TI_HYPERLINK;
				break;
			case TK_ETAG_A:
				ti.m_nStyle &= ~TI_HYPERLINK;
				break;
		}
	}

	parser.Close();

	////////////////////////////////////////////////////////
	// Debug
	POSITION pos = m_tokens.GetHeadPosition();
	CString str;

	while(pos) {
		ti = m_tokens.GetNext(pos);
		str.Format(_T("Token=%s, bold=%c, italic=%c"), ti.m_pText, 
			(ti.m_nStyle & TI_BOLD) ? 'S':'N', 
			(ti.m_nStyle & TI_ITALIC) ? 'S':'N');
		AfxMessageBox(str);
	}
	///////////////////////////////////////////////////////*/
	
	return TRUE;
}

void CHTMLTextDoc::DeleteContents() 
{
	/*POSITION pos = m_tokens.GetHeadPosition();

	while(pos)
		m_tokens.GetNext(pos).Empty();

	m_tokens.RemoveAll();*/
		
	CDocument::DeleteContents();
}

BOOL CHTMLTextDoc::OnSaveDocument(LPCTSTR lpszPathName) 
{
	AfxMessageBox(_T("file2"));
	
	return CDocument::OnSaveDocument(lpszPathName);
}
