#if !defined(AFX_NOTEVIEW_H__BE39B067_AA85_11D2_B4E5_000000000000__INCLUDED_)
#define AFX_NOTEVIEW_H__BE39B067_AA85_11D2_B4E5_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// NoteView.h : header file
//

//struct REQUESTINFO;

struct NOTEKEY
{
	int nBook;
	int nPage;
	int nIndex;

	bool operator==(const NOTEKEY& rhs) const
	{ 
		return (nBook == rhs.nBook &&
			nPage == rhs.nPage && nIndex == rhs.nIndex);
	}
};

/////////////////////////////////////////////////////////////////////////////
// CNoteView view

class CNoteView : public CView
{
protected:
	CNoteView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNoteView)

// Attributes
public:
	CEdit m_wndEdit;
	NOTEKEY m_currNote;
	bool m_bAddNewNote;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNoteView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CNoteView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CNoteView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	afx_msg LRESULT OnNoteClick(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnAddNote(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnDeleteNote(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnSaveContents(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnRequestCompleted(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NOTEVIEW_H__BE39B067_AA85_11D2_B4E5_000000000000__INCLUDED_)
